package cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.electronicInvoice;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class SzhtxxElectronicInvoiceFptxxResultExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public SzhtxxElectronicInvoiceFptxxResultExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    szhtxx_electronic_invoice_fptxx_result
     *
     * @mbg.generated Fri Mar 11 16:36:46 CST 2022
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andFpqqlshIsNull() {
            addCriterion("fpqqlsh is null");
            return (Criteria) this;
        }

        public Criteria andFpqqlshIsNotNull() {
            addCriterion("fpqqlsh is not null");
            return (Criteria) this;
        }

        public Criteria andFpqqlshEqualTo(String value) {
            addCriterion("fpqqlsh =", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshNotEqualTo(String value) {
            addCriterion("fpqqlsh <>", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshGreaterThan(String value) {
            addCriterion("fpqqlsh >", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshGreaterThanOrEqualTo(String value) {
            addCriterion("fpqqlsh >=", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshLessThan(String value) {
            addCriterion("fpqqlsh <", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshLessThanOrEqualTo(String value) {
            addCriterion("fpqqlsh <=", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshLike(String value) {
            addCriterion("fpqqlsh like", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshNotLike(String value) {
            addCriterion("fpqqlsh not like", value, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshIn(List<String> values) {
            addCriterion("fpqqlsh in", values, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshNotIn(List<String> values) {
            addCriterion("fpqqlsh not in", values, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshBetween(String value1, String value2) {
            addCriterion("fpqqlsh between", value1, value2, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andFpqqlshNotBetween(String value1, String value2) {
            addCriterion("fpqqlsh not between", value1, value2, "fpqqlsh");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeIsNull() {
            addCriterion("hjbhsje is null");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeIsNotNull() {
            addCriterion("hjbhsje is not null");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeEqualTo(BigDecimal value) {
            addCriterion("hjbhsje =", value, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeNotEqualTo(BigDecimal value) {
            addCriterion("hjbhsje <>", value, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeGreaterThan(BigDecimal value) {
            addCriterion("hjbhsje >", value, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("hjbhsje >=", value, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeLessThan(BigDecimal value) {
            addCriterion("hjbhsje <", value, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeLessThanOrEqualTo(BigDecimal value) {
            addCriterion("hjbhsje <=", value, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeIn(List<BigDecimal> values) {
            addCriterion("hjbhsje in", values, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeNotIn(List<BigDecimal> values) {
            addCriterion("hjbhsje not in", values, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("hjbhsje between", value1, value2, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjbhsjeNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("hjbhsje not between", value1, value2, "hjbhsje");
            return (Criteria) this;
        }

        public Criteria andHjseIsNull() {
            addCriterion("hjse is null");
            return (Criteria) this;
        }

        public Criteria andHjseIsNotNull() {
            addCriterion("hjse is not null");
            return (Criteria) this;
        }

        public Criteria andHjseEqualTo(BigDecimal value) {
            addCriterion("hjse =", value, "hjse");
            return (Criteria) this;
        }

        public Criteria andHjseNotEqualTo(BigDecimal value) {
            addCriterion("hjse <>", value, "hjse");
            return (Criteria) this;
        }

        public Criteria andHjseGreaterThan(BigDecimal value) {
            addCriterion("hjse >", value, "hjse");
            return (Criteria) this;
        }

        public Criteria andHjseGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("hjse >=", value, "hjse");
            return (Criteria) this;
        }

        public Criteria andHjseLessThan(BigDecimal value) {
            addCriterion("hjse <", value, "hjse");
            return (Criteria) this;
        }

        public Criteria andHjseLessThanOrEqualTo(BigDecimal value) {
            addCriterion("hjse <=", value, "hjse");
            return (Criteria) this;
        }

        public Criteria andHjseIn(List<BigDecimal> values) {
            addCriterion("hjse in", values, "hjse");
            return (Criteria) this;
        }

        public Criteria andHjseNotIn(List<BigDecimal> values) {
            addCriterion("hjse not in", values, "hjse");
            return (Criteria) this;
        }

        public Criteria andHjseBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("hjse between", value1, value2, "hjse");
            return (Criteria) this;
        }

        public Criteria andHjseNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("hjse not between", value1, value2, "hjse");
            return (Criteria) this;
        }

        public Criteria andKprqIsNull() {
            addCriterion("kprq is null");
            return (Criteria) this;
        }

        public Criteria andKprqIsNotNull() {
            addCriterion("kprq is not null");
            return (Criteria) this;
        }

        public Criteria andKprqEqualTo(String value) {
            addCriterion("kprq =", value, "kprq");
            return (Criteria) this;
        }

        public Criteria andKprqNotEqualTo(String value) {
            addCriterion("kprq <>", value, "kprq");
            return (Criteria) this;
        }

        public Criteria andKprqGreaterThan(String value) {
            addCriterion("kprq >", value, "kprq");
            return (Criteria) this;
        }

        public Criteria andKprqGreaterThanOrEqualTo(String value) {
            addCriterion("kprq >=", value, "kprq");
            return (Criteria) this;
        }

        public Criteria andKprqLessThan(String value) {
            addCriterion("kprq <", value, "kprq");
            return (Criteria) this;
        }

        public Criteria andKprqLessThanOrEqualTo(String value) {
            addCriterion("kprq <=", value, "kprq");
            return (Criteria) this;
        }

        public Criteria andKprqLike(String value) {
            addCriterion("kprq like", value, "kprq");
            return (Criteria) this;
        }

        public Criteria andKprqNotLike(String value) {
            addCriterion("kprq not like", value, "kprq");
            return (Criteria) this;
        }

        public Criteria andKprqIn(List<String> values) {
            addCriterion("kprq in", values, "kprq");
            return (Criteria) this;
        }

        public Criteria andKprqNotIn(List<String> values) {
            addCriterion("kprq not in", values, "kprq");
            return (Criteria) this;
        }

        public Criteria andKprqBetween(String value1, String value2) {
            addCriterion("kprq between", value1, value2, "kprq");
            return (Criteria) this;
        }

        public Criteria andKprqNotBetween(String value1, String value2) {
            addCriterion("kprq not between", value1, value2, "kprq");
            return (Criteria) this;
        }

        public Criteria andFpdmIsNull() {
            addCriterion("fpdm is null");
            return (Criteria) this;
        }

        public Criteria andFpdmIsNotNull() {
            addCriterion("fpdm is not null");
            return (Criteria) this;
        }

        public Criteria andFpdmEqualTo(String value) {
            addCriterion("fpdm =", value, "fpdm");
            return (Criteria) this;
        }

        public Criteria andFpdmNotEqualTo(String value) {
            addCriterion("fpdm <>", value, "fpdm");
            return (Criteria) this;
        }

        public Criteria andFpdmGreaterThan(String value) {
            addCriterion("fpdm >", value, "fpdm");
            return (Criteria) this;
        }

        public Criteria andFpdmGreaterThanOrEqualTo(String value) {
            addCriterion("fpdm >=", value, "fpdm");
            return (Criteria) this;
        }

        public Criteria andFpdmLessThan(String value) {
            addCriterion("fpdm <", value, "fpdm");
            return (Criteria) this;
        }

        public Criteria andFpdmLessThanOrEqualTo(String value) {
            addCriterion("fpdm <=", value, "fpdm");
            return (Criteria) this;
        }

        public Criteria andFpdmLike(String value) {
            addCriterion("fpdm like", value, "fpdm");
            return (Criteria) this;
        }

        public Criteria andFpdmNotLike(String value) {
            addCriterion("fpdm not like", value, "fpdm");
            return (Criteria) this;
        }

        public Criteria andFpdmIn(List<String> values) {
            addCriterion("fpdm in", values, "fpdm");
            return (Criteria) this;
        }

        public Criteria andFpdmNotIn(List<String> values) {
            addCriterion("fpdm not in", values, "fpdm");
            return (Criteria) this;
        }

        public Criteria andFpdmBetween(String value1, String value2) {
            addCriterion("fpdm between", value1, value2, "fpdm");
            return (Criteria) this;
        }

        public Criteria andFpdmNotBetween(String value1, String value2) {
            addCriterion("fpdm not between", value1, value2, "fpdm");
            return (Criteria) this;
        }

        public Criteria andFphmIsNull() {
            addCriterion("fphm is null");
            return (Criteria) this;
        }

        public Criteria andFphmIsNotNull() {
            addCriterion("fphm is not null");
            return (Criteria) this;
        }

        public Criteria andFphmEqualTo(String value) {
            addCriterion("fphm =", value, "fphm");
            return (Criteria) this;
        }

        public Criteria andFphmNotEqualTo(String value) {
            addCriterion("fphm <>", value, "fphm");
            return (Criteria) this;
        }

        public Criteria andFphmGreaterThan(String value) {
            addCriterion("fphm >", value, "fphm");
            return (Criteria) this;
        }

        public Criteria andFphmGreaterThanOrEqualTo(String value) {
            addCriterion("fphm >=", value, "fphm");
            return (Criteria) this;
        }

        public Criteria andFphmLessThan(String value) {
            addCriterion("fphm <", value, "fphm");
            return (Criteria) this;
        }

        public Criteria andFphmLessThanOrEqualTo(String value) {
            addCriterion("fphm <=", value, "fphm");
            return (Criteria) this;
        }

        public Criteria andFphmLike(String value) {
            addCriterion("fphm like", value, "fphm");
            return (Criteria) this;
        }

        public Criteria andFphmNotLike(String value) {
            addCriterion("fphm not like", value, "fphm");
            return (Criteria) this;
        }

        public Criteria andFphmIn(List<String> values) {
            addCriterion("fphm in", values, "fphm");
            return (Criteria) this;
        }

        public Criteria andFphmNotIn(List<String> values) {
            addCriterion("fphm not in", values, "fphm");
            return (Criteria) this;
        }

        public Criteria andFphmBetween(String value1, String value2) {
            addCriterion("fphm between", value1, value2, "fphm");
            return (Criteria) this;
        }

        public Criteria andFphmNotBetween(String value1, String value2) {
            addCriterion("fphm not between", value1, value2, "fphm");
            return (Criteria) this;
        }

        public Criteria andPdfUrlIsNull() {
            addCriterion("pdf_url is null");
            return (Criteria) this;
        }

        public Criteria andPdfUrlIsNotNull() {
            addCriterion("pdf_url is not null");
            return (Criteria) this;
        }

        public Criteria andPdfUrlEqualTo(String value) {
            addCriterion("pdf_url =", value, "pdfUrl");
            return (Criteria) this;
        }

        public Criteria andPdfUrlNotEqualTo(String value) {
            addCriterion("pdf_url <>", value, "pdfUrl");
            return (Criteria) this;
        }

        public Criteria andPdfUrlGreaterThan(String value) {
            addCriterion("pdf_url >", value, "pdfUrl");
            return (Criteria) this;
        }

        public Criteria andPdfUrlGreaterThanOrEqualTo(String value) {
            addCriterion("pdf_url >=", value, "pdfUrl");
            return (Criteria) this;
        }

        public Criteria andPdfUrlLessThan(String value) {
            addCriterion("pdf_url <", value, "pdfUrl");
            return (Criteria) this;
        }

        public Criteria andPdfUrlLessThanOrEqualTo(String value) {
            addCriterion("pdf_url <=", value, "pdfUrl");
            return (Criteria) this;
        }

        public Criteria andPdfUrlLike(String value) {
            addCriterion("pdf_url like", value, "pdfUrl");
            return (Criteria) this;
        }

        public Criteria andPdfUrlNotLike(String value) {
            addCriterion("pdf_url not like", value, "pdfUrl");
            return (Criteria) this;
        }

        public Criteria andPdfUrlIn(List<String> values) {
            addCriterion("pdf_url in", values, "pdfUrl");
            return (Criteria) this;
        }

        public Criteria andPdfUrlNotIn(List<String> values) {
            addCriterion("pdf_url not in", values, "pdfUrl");
            return (Criteria) this;
        }

        public Criteria andPdfUrlBetween(String value1, String value2) {
            addCriterion("pdf_url between", value1, value2, "pdfUrl");
            return (Criteria) this;
        }

        public Criteria andPdfUrlNotBetween(String value1, String value2) {
            addCriterion("pdf_url not between", value1, value2, "pdfUrl");
            return (Criteria) this;
        }

        public Criteria andJymIsNull() {
            addCriterion("jym is null");
            return (Criteria) this;
        }

        public Criteria andJymIsNotNull() {
            addCriterion("jym is not null");
            return (Criteria) this;
        }

        public Criteria andJymEqualTo(String value) {
            addCriterion("jym =", value, "jym");
            return (Criteria) this;
        }

        public Criteria andJymNotEqualTo(String value) {
            addCriterion("jym <>", value, "jym");
            return (Criteria) this;
        }

        public Criteria andJymGreaterThan(String value) {
            addCriterion("jym >", value, "jym");
            return (Criteria) this;
        }

        public Criteria andJymGreaterThanOrEqualTo(String value) {
            addCriterion("jym >=", value, "jym");
            return (Criteria) this;
        }

        public Criteria andJymLessThan(String value) {
            addCriterion("jym <", value, "jym");
            return (Criteria) this;
        }

        public Criteria andJymLessThanOrEqualTo(String value) {
            addCriterion("jym <=", value, "jym");
            return (Criteria) this;
        }

        public Criteria andJymLike(String value) {
            addCriterion("jym like", value, "jym");
            return (Criteria) this;
        }

        public Criteria andJymNotLike(String value) {
            addCriterion("jym not like", value, "jym");
            return (Criteria) this;
        }

        public Criteria andJymIn(List<String> values) {
            addCriterion("jym in", values, "jym");
            return (Criteria) this;
        }

        public Criteria andJymNotIn(List<String> values) {
            addCriterion("jym not in", values, "jym");
            return (Criteria) this;
        }

        public Criteria andJymBetween(String value1, String value2) {
            addCriterion("jym between", value1, value2, "jym");
            return (Criteria) this;
        }

        public Criteria andJymNotBetween(String value1, String value2) {
            addCriterion("jym not between", value1, value2, "jym");
            return (Criteria) this;
        }

        public Criteria andSsyfIsNull() {
            addCriterion("ssyf is null");
            return (Criteria) this;
        }

        public Criteria andSsyfIsNotNull() {
            addCriterion("ssyf is not null");
            return (Criteria) this;
        }

        public Criteria andSsyfEqualTo(String value) {
            addCriterion("ssyf =", value, "ssyf");
            return (Criteria) this;
        }

        public Criteria andSsyfNotEqualTo(String value) {
            addCriterion("ssyf <>", value, "ssyf");
            return (Criteria) this;
        }

        public Criteria andSsyfGreaterThan(String value) {
            addCriterion("ssyf >", value, "ssyf");
            return (Criteria) this;
        }

        public Criteria andSsyfGreaterThanOrEqualTo(String value) {
            addCriterion("ssyf >=", value, "ssyf");
            return (Criteria) this;
        }

        public Criteria andSsyfLessThan(String value) {
            addCriterion("ssyf <", value, "ssyf");
            return (Criteria) this;
        }

        public Criteria andSsyfLessThanOrEqualTo(String value) {
            addCriterion("ssyf <=", value, "ssyf");
            return (Criteria) this;
        }

        public Criteria andSsyfLike(String value) {
            addCriterion("ssyf like", value, "ssyf");
            return (Criteria) this;
        }

        public Criteria andSsyfNotLike(String value) {
            addCriterion("ssyf not like", value, "ssyf");
            return (Criteria) this;
        }

        public Criteria andSsyfIn(List<String> values) {
            addCriterion("ssyf in", values, "ssyf");
            return (Criteria) this;
        }

        public Criteria andSsyfNotIn(List<String> values) {
            addCriterion("ssyf not in", values, "ssyf");
            return (Criteria) this;
        }

        public Criteria andSsyfBetween(String value1, String value2) {
            addCriterion("ssyf between", value1, value2, "ssyf");
            return (Criteria) this;
        }

        public Criteria andSsyfNotBetween(String value1, String value2) {
            addCriterion("ssyf not between", value1, value2, "ssyf");
            return (Criteria) this;
        }

        public Criteria andFjhIsNull() {
            addCriterion("fjh is null");
            return (Criteria) this;
        }

        public Criteria andFjhIsNotNull() {
            addCriterion("fjh is not null");
            return (Criteria) this;
        }

        public Criteria andFjhEqualTo(String value) {
            addCriterion("fjh =", value, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhNotEqualTo(String value) {
            addCriterion("fjh <>", value, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhGreaterThan(String value) {
            addCriterion("fjh >", value, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhGreaterThanOrEqualTo(String value) {
            addCriterion("fjh >=", value, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhLessThan(String value) {
            addCriterion("fjh <", value, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhLessThanOrEqualTo(String value) {
            addCriterion("fjh <=", value, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhLike(String value) {
            addCriterion("fjh like", value, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhNotLike(String value) {
            addCriterion("fjh not like", value, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhIn(List<String> values) {
            addCriterion("fjh in", values, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhNotIn(List<String> values) {
            addCriterion("fjh not in", values, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhBetween(String value1, String value2) {
            addCriterion("fjh between", value1, value2, "fjh");
            return (Criteria) this;
        }

        public Criteria andFjhNotBetween(String value1, String value2) {
            addCriterion("fjh not between", value1, value2, "fjh");
            return (Criteria) this;
        }

        public Criteria andSzqmIsNull() {
            addCriterion("szqm is null");
            return (Criteria) this;
        }

        public Criteria andSzqmIsNotNull() {
            addCriterion("szqm is not null");
            return (Criteria) this;
        }

        public Criteria andSzqmEqualTo(String value) {
            addCriterion("szqm =", value, "szqm");
            return (Criteria) this;
        }

        public Criteria andSzqmNotEqualTo(String value) {
            addCriterion("szqm <>", value, "szqm");
            return (Criteria) this;
        }

        public Criteria andSzqmGreaterThan(String value) {
            addCriterion("szqm >", value, "szqm");
            return (Criteria) this;
        }

        public Criteria andSzqmGreaterThanOrEqualTo(String value) {
            addCriterion("szqm >=", value, "szqm");
            return (Criteria) this;
        }

        public Criteria andSzqmLessThan(String value) {
            addCriterion("szqm <", value, "szqm");
            return (Criteria) this;
        }

        public Criteria andSzqmLessThanOrEqualTo(String value) {
            addCriterion("szqm <=", value, "szqm");
            return (Criteria) this;
        }

        public Criteria andSzqmLike(String value) {
            addCriterion("szqm like", value, "szqm");
            return (Criteria) this;
        }

        public Criteria andSzqmNotLike(String value) {
            addCriterion("szqm not like", value, "szqm");
            return (Criteria) this;
        }

        public Criteria andSzqmIn(List<String> values) {
            addCriterion("szqm in", values, "szqm");
            return (Criteria) this;
        }

        public Criteria andSzqmNotIn(List<String> values) {
            addCriterion("szqm not in", values, "szqm");
            return (Criteria) this;
        }

        public Criteria andSzqmBetween(String value1, String value2) {
            addCriterion("szqm between", value1, value2, "szqm");
            return (Criteria) this;
        }

        public Criteria andSzqmNotBetween(String value1, String value2) {
            addCriterion("szqm not between", value1, value2, "szqm");
            return (Criteria) this;
        }

        public Criteria andReturnCodeIsNull() {
            addCriterion("return_code is null");
            return (Criteria) this;
        }

        public Criteria andReturnCodeIsNotNull() {
            addCriterion("return_code is not null");
            return (Criteria) this;
        }

        public Criteria andReturnCodeEqualTo(String value) {
            addCriterion("return_code =", value, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeNotEqualTo(String value) {
            addCriterion("return_code <>", value, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeGreaterThan(String value) {
            addCriterion("return_code >", value, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeGreaterThanOrEqualTo(String value) {
            addCriterion("return_code >=", value, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeLessThan(String value) {
            addCriterion("return_code <", value, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeLessThanOrEqualTo(String value) {
            addCriterion("return_code <=", value, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeLike(String value) {
            addCriterion("return_code like", value, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeNotLike(String value) {
            addCriterion("return_code not like", value, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeIn(List<String> values) {
            addCriterion("return_code in", values, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeNotIn(List<String> values) {
            addCriterion("return_code not in", values, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeBetween(String value1, String value2) {
            addCriterion("return_code between", value1, value2, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnCodeNotBetween(String value1, String value2) {
            addCriterion("return_code not between", value1, value2, "returnCode");
            return (Criteria) this;
        }

        public Criteria andReturnMsgIsNull() {
            addCriterion("return_msg is null");
            return (Criteria) this;
        }

        public Criteria andReturnMsgIsNotNull() {
            addCriterion("return_msg is not null");
            return (Criteria) this;
        }

        public Criteria andReturnMsgEqualTo(String value) {
            addCriterion("return_msg =", value, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgNotEqualTo(String value) {
            addCriterion("return_msg <>", value, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgGreaterThan(String value) {
            addCriterion("return_msg >", value, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgGreaterThanOrEqualTo(String value) {
            addCriterion("return_msg >=", value, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgLessThan(String value) {
            addCriterion("return_msg <", value, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgLessThanOrEqualTo(String value) {
            addCriterion("return_msg <=", value, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgLike(String value) {
            addCriterion("return_msg like", value, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgNotLike(String value) {
            addCriterion("return_msg not like", value, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgIn(List<String> values) {
            addCriterion("return_msg in", values, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgNotIn(List<String> values) {
            addCriterion("return_msg not in", values, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgBetween(String value1, String value2) {
            addCriterion("return_msg between", value1, value2, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andReturnMsgNotBetween(String value1, String value2) {
            addCriterion("return_msg not between", value1, value2, "returnMsg");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(Long value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(Long value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(Long value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(Long value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<Long> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<Long> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(Long value1, Long value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameIsNull() {
            addCriterion("create_user_name is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameIsNotNull() {
            addCriterion("create_user_name is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameEqualTo(String value) {
            addCriterion("create_user_name =", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameNotEqualTo(String value) {
            addCriterion("create_user_name <>", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameGreaterThan(String value) {
            addCriterion("create_user_name >", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameGreaterThanOrEqualTo(String value) {
            addCriterion("create_user_name >=", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameLessThan(String value) {
            addCriterion("create_user_name <", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameLessThanOrEqualTo(String value) {
            addCriterion("create_user_name <=", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameLike(String value) {
            addCriterion("create_user_name like", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameNotLike(String value) {
            addCriterion("create_user_name not like", value, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameIn(List<String> values) {
            addCriterion("create_user_name in", values, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameNotIn(List<String> values) {
            addCriterion("create_user_name not in", values, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameBetween(String value1, String value2) {
            addCriterion("create_user_name between", value1, value2, "createUserName");
            return (Criteria) this;
        }

        public Criteria andCreateUserNameNotBetween(String value1, String value2) {
            addCriterion("create_user_name not between", value1, value2, "createUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNull() {
            addCriterion("update_user_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNotNull() {
            addCriterion("update_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdEqualTo(Long value) {
            addCriterion("update_user_id =", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotEqualTo(Long value) {
            addCriterion("update_user_id <>", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThan(Long value) {
            addCriterion("update_user_id >", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("update_user_id >=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThan(Long value) {
            addCriterion("update_user_id <", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("update_user_id <=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIn(List<Long> values) {
            addCriterion("update_user_id in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotIn(List<Long> values) {
            addCriterion("update_user_id not in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdBetween(Long value1, Long value2) {
            addCriterion("update_user_id between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("update_user_id not between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameIsNull() {
            addCriterion("update_user_name is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameIsNotNull() {
            addCriterion("update_user_name is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameEqualTo(String value) {
            addCriterion("update_user_name =", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameNotEqualTo(String value) {
            addCriterion("update_user_name <>", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameGreaterThan(String value) {
            addCriterion("update_user_name >", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameGreaterThanOrEqualTo(String value) {
            addCriterion("update_user_name >=", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameLessThan(String value) {
            addCriterion("update_user_name <", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameLessThanOrEqualTo(String value) {
            addCriterion("update_user_name <=", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameLike(String value) {
            addCriterion("update_user_name like", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameNotLike(String value) {
            addCriterion("update_user_name not like", value, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameIn(List<String> values) {
            addCriterion("update_user_name in", values, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameNotIn(List<String> values) {
            addCriterion("update_user_name not in", values, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameBetween(String value1, String value2) {
            addCriterion("update_user_name between", value1, value2, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNameNotBetween(String value1, String value2) {
            addCriterion("update_user_name not between", value1, value2, "updateUserName");
            return (Criteria) this;
        }

        public Criteria andDeletedIsNull() {
            addCriterion("deleted is null");
            return (Criteria) this;
        }

        public Criteria andDeletedIsNotNull() {
            addCriterion("deleted is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedEqualTo(Integer value) {
            addCriterion("deleted =", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotEqualTo(Integer value) {
            addCriterion("deleted <>", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedGreaterThan(Integer value) {
            addCriterion("deleted >", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedGreaterThanOrEqualTo(Integer value) {
            addCriterion("deleted >=", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedLessThan(Integer value) {
            addCriterion("deleted <", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedLessThanOrEqualTo(Integer value) {
            addCriterion("deleted <=", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedIn(List<Integer> values) {
            addCriterion("deleted in", values, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotIn(List<Integer> values) {
            addCriterion("deleted not in", values, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedBetween(Integer value1, Integer value2) {
            addCriterion("deleted between", value1, value2, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotBetween(Integer value1, Integer value2) {
            addCriterion("deleted not between", value1, value2, "deleted");
            return (Criteria) this;
        }

        public Criteria andBatchIdIsNull() {
            addCriterion("batch_id is null");
            return (Criteria) this;
        }

        public Criteria andBatchIdIsNotNull() {
            addCriterion("batch_id is not null");
            return (Criteria) this;
        }

        public Criteria andBatchIdEqualTo(String value) {
            addCriterion("batch_id =", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdNotEqualTo(String value) {
            addCriterion("batch_id <>", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdGreaterThan(String value) {
            addCriterion("batch_id >", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdGreaterThanOrEqualTo(String value) {
            addCriterion("batch_id >=", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdLessThan(String value) {
            addCriterion("batch_id <", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdLessThanOrEqualTo(String value) {
            addCriterion("batch_id <=", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdLike(String value) {
            addCriterion("batch_id like", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdNotLike(String value) {
            addCriterion("batch_id not like", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdIn(List<String> values) {
            addCriterion("batch_id in", values, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdNotIn(List<String> values) {
            addCriterion("batch_id not in", values, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdBetween(String value1, String value2) {
            addCriterion("batch_id between", value1, value2, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdNotBetween(String value1, String value2) {
            addCriterion("batch_id not between", value1, value2, "batchId");
            return (Criteria) this;
        }
    }

    /**
    szhtxx_electronic_invoice_fptxx_result
     *
     * @mbg.generated do_not_delete_during_merge Fri Mar 11 16:36:46 CST 2022
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
    szhtxx_electronic_invoice_fptxx_result
     *
     * @mbg.generated Fri Mar 11 16:36:46 CST 2022
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}
